aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2016-06-10 23:40:43 +0200
committerMiroslav Miklus <mmiklus@cisco.com>2016-06-17 07:41:29 +0000
commit5ed29e1e1c5a76b3c64525e31aca3cf19e2cd5b0 (patch)
treeede94a85f0ba131008bad6625b9c546f1a8f8968 /bootstrap.sh
parent8be64446049878a0fb4a91a3a8b0481e75b20205 (diff)
Use common file names to store VPP stable build data in branches
- use the same file names VPP_REPO_URL and VPP_STABLE_VER acrross branches to store the current branch repo url and stable vpp build version Change-Id: Ie7c020d5b3722bfe3eb34a374b98a29cc76676f2 Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 99842c69cc..fed5ff74f9 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -111,8 +111,8 @@ if [ "${#}" -ne "0" ]; then
echo ${arr[0]}
else
rm -f *.deb
- VPP_STABLE_VER=$(cat ${SCRIPT_DIR}/VPP_MASTER_STABLE_VER)
- VPP_REPO_URL=$(cat ${SCRIPT_DIR}/VPP_MASTER_REPO_URL)
+ VPP_STABLE_VER=$(cat ${SCRIPT_DIR}/VPP_STABLE_VER)
+ VPP_REPO_URL=$(cat ${SCRIPT_DIR}/VPP_REPO_URL)
wget -q "${VPP_REPO_URL}/vpp/${VPP_STABLE_VER}/vpp-${VPP_STABLE_VER}.deb" || exit
wget -q "${VPP_REPO_URL}/vpp-dbg/${VPP_STABLE_VER}/vpp-dbg-${VPP_STABLE_VER}.deb" || exit
wget -q "${VPP_REPO_URL}/vpp-dev/${VPP_STABLE_VER}/vpp-dev-${VPP_STABLE_VER}.deb" || exit
@@ -189,15 +189,14 @@ virtualenv --system-site-packages env
. env/bin/activate
echo pip install
-pip install -r requirements.txt
+pip install -r ${SCRIPT_DIR}/requirements.txt
pykwalify -s ${SCRIPT_DIR}/resources/topology_schemas/3_node_topology.sch.yaml \
-s ${SCRIPT_DIR}/resources/topology_schemas/topology.sch.yaml \
-d ${SCRIPT_DIR}/topologies/enabled/topology.yaml \
-vvv
-result=$?
-if [ "${result}" -ne "0" ]; then
+if [ "$?" -ne "0" ]; then
echo "Topology schema validation failed."
echo "However, the tests will start."
fi